Subject: [[email-masked]: Unexpected Termination]

From: Streph Treadway <[email-masked]>
Date: Mon, 10 Nov 2003 21:38:14 -0500

Two days ago I sent the attached message to modssl-users without
apparent success.  I did not receive it, although since then I have
received other messages from the list, and it has not appeared in the
archives.  I hope you can help me.

Streph

----- Forwarded message from Streph Treadway <[email-masked]> -----

> From: Streph Treadway <[email-masked]>
> To: [email-masked]
> Subject: Unexpected Termination
> 
> Hi, all,
> 
> I am hopeful that one or more of you may be able to resolve my newbie
> question.
> 
> I am trying to use mod_ssl (2.8.15) with Apache 1.3.29 statically linked with
> mod_perl (1.29).  Both are the current Debian unstable version.  Http
> connections work fine, but any attempt to connect with https from
> Mozilla results in an error message that the connection terminated
> unexpectedly.  the apache-perl error log says: 
> 
> Invalid method in request \x80g\x01\x03
> 
> I created keys and certificates as described in the FAQ.
> I have checked the list archives and found advice to another facing a
> similar problem to not forget SSLEngine On.  I have set SSLEngine to on
> and when I start apache I am asked for and can successfully enter my
> passphrase.  An nmap scan of my server shows open ports at 80 and 443.
> 
> In addition to including LoadModule line for mod_ssl, my httpd.conf has
> Listen directives for both port 80 and 443.  I also have the following
> virtual host, which I suspect may be the source of my problems:
> 
> <VirtualHost www.ginkwunk.net:443>
>     SSLEngine On
>     SSLProtocol all
>     DocumentRoot /var/classweb
>     SSLCACertificateFile /path/to/ca.crt
>     SSLCertificateFile /path/to/server.crt
>     SSLCertificateKeyFile /path/to/server.key
>     SSLVerifyClient 0
>     SSLVerifyDepth 10
>     SSLCipherSuite
>     ALL:!ADH:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
> </VirtualHost>
> 
> I expect the answer may be obvious, but I do not see it in the
> documentation or the list archives.  I appreciate any help you can give.
> 
> Yours,
> 
> Streph

----- End forwarded message -----
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]